<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:of="scpf.org:office" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="of style fo sl office text sp svg sc table xlink java scodPp xalan " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:docM[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:docM"><xsl:for-each select="sp:desc">
			<xsl:variable name="vPathAgentc721_26"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentc721_26, '', '/getContent'))"/>
		</xsl:for-each><xsl:for-each select="sp:src">
			<xsl:choose>
				
				<xsl:when test="sp:url"><xsl:for-each select="sp:url">
						<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_docUrl')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:text>&gt; </xsl:text>
							<xsl:comment># sm:WInline</xsl:comment><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{getEntryBuffer('odStyleBlocks', '_globalsStyles_url')/@text:style-name}"><text:a xlink:type="simple"><xsl:attribute name="xlink:href"><xsl:value-of select="."/></xsl:attribute><xsl:value-of select="."/></text:a></text:span>
						</xsl:element></scodPp:ifNotNull>
					</xsl:for-each></xsl:when>
				<xsl:otherwise>
					<xsl:for-each select="sp:file">
						
						
							<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '', '/getContent'))"/>
						
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each></xsl:template><xsl:template match="*"/></xsl:stylesheet>