<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:of="scpf.org:office" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:svg="http://www.w3.org/2000/svg" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="ooow dom meta draw of style fo office sl dc ooo text form sp xforms svg sc number table script math dr3d presentation xsd xlink chart oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:slideshow[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:slideshow"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:apply-templates mode="Na"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="Na" match="*"/><!--# slide--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="Na" match="sp:slide"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N10', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:variable name="dynStrN18"><xsl:value-of select="concat('Diapositive ', count(preceding-sibling::sp:slide[not(of:filter/sp:exclude[text()='paper'])])+1)"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="string-length(normalize-space($dynStrN18))&gt;0"><xsl:value-of select="$dynStrN18"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N1e_', generate-id()))"/><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN36"/><xsl:value-of select="resultatAgent(concat($vContentAgtN36, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
				</xsl:choose>
			</xsl:template><!--# part--><xsl:template mode="Na" match="sp:part"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N40', .)"><xsl:choose>
							<xsl:when test="getFullTitleText(gotoSubModel(.)) = ''"><xsl:variable select="concat($vContentAgt, '_Atransparent')" name="vContentAgtN46"/><xsl:value-of select="resultatAgent(concat($vContentAgtN46, '/getContent'))" disable-output-escaping="yes"/></xsl:when>
							<xsl:otherwise><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:variable name="dynStrN51"><xsl:value-of select="concat('Partie ', count(preceding-sibling::sp:part[not(of:filter/sp:exclude[text()='paper'])])+1)"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="string-length(normalize-space($dynStrN51))&gt;0"><xsl:value-of select="$dynStrN51"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N57_', generate-id()))"/><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN6f"/><xsl:value-of select="resultatAgent(concat($vContentAgtN6f, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition></xsl:otherwise>
						</xsl:choose></xsl:when>
				</xsl:choose>
			</xsl:template><!--# speakerComment--><xsl:template mode="Na" match="sp:speakerComment"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N7b', .)"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_sldCommentTitle')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:text>Commentaires pour l&apos;orateur</xsl:text>
							<xsl:text> </xsl:text>
							<xsl:text> </xsl:text>
							<xsl:text>&lt;</xsl:text>
						</xsl:element></scodPp:ifNotNull><xsl:comment># sm:WSection</xsl:comment><xsl:variable name="vLabelContentc732_140"/><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="_scod_noDisplay"> </text:p><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContentc732_140)))&gt;0, normalize-space(string($vLabelContentc732_140)), 'Section')}" text:style-name="{getEntryBuffer('odStyleBlocks', '_globalsStyles_sldCommentFrame')/text:section/@text:style-name}"><text:p text:style-name="_scod_noDisplay"> </text:p><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN92"/><xsl:value-of select="resultatAgent(concat($vContentAgtN92, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="_scod_noDisplayNoKeep"> </text:p></text:section><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="_scod_noDisplayNoKeep"><text:soft-page-break/></text:p></xsl:when>
				</xsl:choose>
			</xsl:template><!--# readerComment--><xsl:template mode="Na" match="sp:readerComment"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_N9c', .)"><xsl:comment># sm:WParagraph</xsl:comment><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_sldCommentTitle')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:text>Commentaires</xsl:text>
							<xsl:text> </xsl:text>
							<xsl:text> </xsl:text>
							<xsl:text>&lt;</xsl:text>
						</xsl:element><xsl:comment># sm:WSection</xsl:comment><xsl:variable name="vLabelContentc732_173"/><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="_scod_noDisplay"> </text:p><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContentc732_173)))&gt;0, normalize-space(string($vLabelContentc732_173)), 'Section')}" text:style-name="{getEntryBuffer('odStyleBlocks', '_globalsStyles_sldCommentFrame')/text:section/@text:style-name}"><text:p text:style-name="_scod_noDisplay"> </text:p><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNb3"/><xsl:value-of select="resultatAgent(concat($vContentAgtNb3, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="_scod_noDisplayNoKeep"> </text:p></text:section><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="_scod_noDisplayNoKeep"><text:soft-page-break/></text:p></xsl:when>
				</xsl:choose>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>